Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTableExtentTranslator Class Reference

`#include <vtkTableExtentTranslator.h>`

Inheritance diagram for vtkTableExtentTranslator:

[legend]
Collaboration diagram for vtkTableExtentTranslator:

[legend]
List of all members.

## Detailed Description

Extent translation through lookup table.

Date:
  2002/10/16 15:25:23

Revision:
  1.1

vtkTableExtentTranslator provides a vtkExtentTranslator that is programmed with a specific extent corresponding to each piece number. Readers can provide this to an application to allow the pipeline to execute using the same piece breakdown that is provided in the input file.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkTableExtentTranslator.cxx)`
  - .`h` (`/Common/vtkTableExtentTranslator.h)`

Definition at line 44 of file vtkTableExtentTranslator.h.

## Public Types
typedef vtkExtentTranslator | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetNumberOfPieces (int pieces)
int | PieceToExtent ()
int | PieceToExtentByPoints ()
virtual void | SetExtentForPiece (int piece, int *extent)
int | PieceToExtentThreadSafe (int piece, int numPieces, int ghostLevel, int *wholeExtent, int *resultExtent, int splitMode, int byPoints)
virtual void | GetExtentForPiece (int piece, int *extent)
virtual int * | GetExtentForPiece (int piece)
virtual void | SetMaximumGhostLevel (int)
virtual int | GetMaximumGhostLevel ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTableExtentTranslator * | SafeDownCast (vtkObject *o)
vtkTableExtentTranslator * | New ()
## Protected Methods
| vtkTableExtentTranslator ()
| ~vtkTableExtentTranslator ()
## Protected Attributes
int * | ExtentTable
int | MaximumGhostLevel

## Member Typedef Documentation

typedef vtkExtentTranslator vtkTableExtentTranslator::Superclass

| Reimplemented from vtkExtentTranslator. Definition at line 47 of file vtkTableExtentTranslator.h.

## Constructor & Destructor Documentation

vtkTableExtentTranslator::vtkTableExtentTranslator | ( |  | ) | `[protected]`

vtkTableExtentTranslator::~vtkTableExtentTranslator | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkTableExtentTranslator::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkExtentTranslator.

int vtkTableExtentTranslator::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExtentTranslator.

virtual int vtkTableExtentTranslator::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExtentTranslator.

vtkTableExtentTranslator* vtkTableExtentTranslator::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkExtentTranslator.

void vtkTableExtentTranslator::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkExtentTranslator.

vtkTableExtentTranslator* vtkTableExtentTranslator::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkExtentTranslator.

void vtkTableExtentTranslator::SetNumberOfPieces | ( | int | pieces | ) | `[virtual]`

| Set the number of pieces in the extent table. Once set to a non-zero value, this can only be called to change back to zero, or with the same number of pieces. This prevents a pipeline from using this extent translator to get any pieces that don't match the table. Reimplemented from vtkExtentTranslator.

int vtkTableExtentTranslator::PieceToExtent | ( |  | ) | `[virtual]`

| Called to translate the current piece into an extent. This is not thread safe. Reimplemented from vtkExtentTranslator.

int vtkTableExtentTranslator::PieceToExtentByPoints | ( |  | ) | `[virtual]`

| Not supported by this subclass of vtkExtentTranslator. Reimplemented from vtkExtentTranslator.

int vtkTableExtentTranslator::PieceToExtentThreadSafe | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevel,
|  | int * | wholeExtent,
|  | int * | resultExtent,
|  | int | splitMode,
|  | int | byPoints
| ) | `[virtual]`

| Not supported by this subclass of vtkExtentTranslator. Reimplemented from vtkExtentTranslator.

virtual void vtkTableExtentTranslator::SetExtentForPiece | ( | int | piece,
|  | int * | extent
| ) | `[virtual]`

| Set the extent to be used for a piece. This sets the extent table entry for the piece.

virtual void vtkTableExtentTranslator::GetExtentForPiece | ( | int | piece,
|  | int * | extent
| ) | `[virtual]`

| Get the extent table entry for the given piece. This is only for code that is setting up the table. Extent translation should always be done through the PieceToExtent method.

virtual int* vtkTableExtentTranslator::GetExtentForPiece | ( | int | piece | ) | `[virtual]`

| Get the extent table entry for the given piece. This is only for code that is setting up the table. Extent translation should always be done through the PieceToExtent method.

virtual void vtkTableExtentTranslator::SetMaximumGhostLevel | ( | int |  | ) | `[virtual]`

| Set the maximum ghost level that can be requested. This can be used by a reader to make sure an extent request does not go outside the boundaries of the piece's file.

virtual int vtkTableExtentTranslator::GetMaximumGhostLevel | ( |  | ) | `[virtual]`

| Set the maximum ghost level that can be requested. This can be used by a reader to make sure an extent request does not go outside the boundaries of the piece's file.

## Member Data Documentation

int* vtkTableExtentTranslator::ExtentTable`[protected]`

| Definition at line 98 of file vtkTableExtentTranslator.h.

int vtkTableExtentTranslator::MaximumGhostLevel`[protected]`

| Definition at line 99 of file vtkTableExtentTranslator.h.

The documentation for this class was generated from the following file:

- Common/vtkTableExtentTranslator.h